Summary: X driver for ivtv devices
Name: xf86-video-ivtv
Version: 1.0.2
Release: 12%{?dist}
License: GPL
Group: User Interface/X
Source0: http://dl.ivtvdriver.org/%{name}/archive/1.0.x/%{name}-%{version}.tar.gz
Source1: fbpriv.h
Source2: videodev2.h
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: imake, /etc/redhat-release
BuildRequires: xorg-x11-server-sdk, xorg-x11-proto-devel
BuildRequires: pkgconfig
BuildRequires: %{_includedir}/linux/ivtv.h
Provides: ivtvdev = %{evr}, xorg-x11-drv-ivtv = %{evr}, ivtv_xdriver = %{evr}
Obsoletes: ivtvdev < %{evr}, xorg-x11-drv-ivtv < %{evr}, ivtv_xdriver < %{evr}

%description
This is an X driver for Hauppauge WinTV PVR 350 capture cards.

%prep
%setup -q
install -p -m 0644 %{SOURCE2} src/
sed -i -e's,<linux/videodev2.h>,"videodev2.h",' src/ivtv_xv.c

#if [ -d %{_x_libraries}/Server/include ]; then
#  sed -i -e's,-I\.\./\.\./include,-I%{_x_libraries}/Server/include,' src/Imakefile
#elif [ -d %{_x_includes}/xorg ]; then
#  sed -i -e's,-I\.\./\.\./include,-I%{_x_includes}/xorg,' src/Imakefile
#fi

%build
if pkg-config --exists 'xorg-server >= 1.0.99.901 xproto fontsproto'; then
  %configure
else
  cd src
  #xmkmf -a -DXF86DriverSDK
  xmkmf -a -DXF86DriverSDK
fi 
make

%install
rm -rf %{buildroot}

if pkg-config --exists 'xorg-server >= 1.0.99.901 xproto fontsproto'; then
  make install DESTDIR=%{buildroot}
else
  mkdir -p %{buildroot}%{_x_module_path}/drivers
  install -p -m 0755 src/ivtvdev_drv.*o %{buildroot}%{_x_module_path}/drivers/
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
#doc Changelog*
%doc README
%{_x_module_path}/drivers

%changelog
* Tue Apr 14 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.2-12
- Update to 1.0.2.
- Removed patch for changeset r4105 (pagesize bug).

* Thu Mar 20 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.1-10
- Update to 1.0.1.

* Sun Oct 14 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.0-9
- Update to 1.0.0.

* Tue Jun 05 2007 Void Main <voidmain AT voidmain.is-a-geek.net>
- Created patch to work with f7.

* Wed Feb 21 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.10.7-8_r3843
- Update to latest svn.

* Sat Nov 04 2006 Void Main <voidmain AT voidmain.is-a-geek.net>
- Created patch to work with fc6.

* Wed Aug 31 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.10.6.
- Rename to ivtv_xdriver.

* Thu May 19 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.10.

* Sun Jan  9 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

